public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/dtc/
Date: Wed,  8 Mar 2017 05:01:46 +0000 (UTC)	[thread overview]
Message-ID: <1488949304.4acb9fecf06b730688c9968f80aaeaed3064205d.jer@gentoo> (raw)

commit:     4acb9fecf06b730688c9968f80aaeaed3064205d
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  8 04:59:02 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Mar  8 05:01:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4acb9fec

sys-apps/dtc: Version bump.

Package-Manager: Portage-2.3.4, Repoman-2.3.2

 sys-apps/dtc/Manifest         |  1 +
 sys-apps/dtc/dtc-1.4.3.ebuild | 52 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/sys-apps/dtc/Manifest b/sys-apps/dtc/Manifest
index 4a7d7097323..e653b027f1d 100644
--- a/sys-apps/dtc/Manifest
+++ b/sys-apps/dtc/Manifest
@@ -1,2 +1,3 @@
 DIST dtc-1.4.1.tar.xz 107920 SHA256 77992ad8eac7b68f553d0ba58e5b51604ac803d126196c99e3ae38aaae28bb94 SHA512 63df730e65f62b8c9648cfee5461809188f4198cbf98de25fbe5cb7f2f43c405266abb740501740f59847dc6faf0588bcbc734d08ae5430b05c2601e070d6d05 WHIRLPOOL 93e9ed26024e4650bb2de6323ea639a3e52622aa3891a9f9404959b600d2c1cbc633d18e30d3629ac54ae662e8c58a7d0ca7910a9b323cd8dd4ff6e43a3fdf67
 DIST dtc-1.4.2.tar.xz 112480 SHA256 13456ee9840abbbcb956d0711c580d28524e2ee17840e556e744311f2d8afaac SHA512 af536fda543a2516e10c45b80bd1b5797a33ab43e08fab6953ec861fc98a73ee232cdd3f5053e889f6e760d238a5a221c2716b8a6fd22b627cd01efac99915b2 WHIRLPOOL 0cbb2d696aec8017d609073ceab110ded29688d68b91588e5e2d3e3fcf23aa4636a1d92c1fce58b39e848689d0408692871c2cc6de5997e66278e1d030a46f8e
+DIST dtc-1.4.3.tar.xz 122732 SHA256 0c3fbff85e85b980740c7b9c6f3cd1c5354aa318bfcadb5005776fdcf3ac5ec8 SHA512 ce9f39cef11f3e7048e8491f01844071bf54911ec36a0d2f2e1ed6c736b7e1a67be83cd2527895a686882d895142db020bf5131a282e0d68d1f4d32dc772db42 WHIRLPOOL cbf9c7eccbf1e69d59a2978496e25be3bf283d373e091e33d0c6b66e5708a15f69be6a7cf85b7fcfe448f74e2987c1c725abaa9eab2e3805773fcb552cf7e604

diff --git a/sys-apps/dtc/dtc-1.4.3.ebuild b/sys-apps/dtc/dtc-1.4.3.ebuild
new file mode 100644
index 00000000000..d5288e84280
--- /dev/null
+++ b/sys-apps/dtc/dtc-1.4.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit multilib toolchain-funcs eutils
+
+if [[ ${PV} == "9999" ]] ; then
+	EGIT_REPO_URI="git://git.kernel.org/pub/scm/utils/dtc/dtc.git"
+	inherit git-r3
+else
+	SRC_URI="mirror://kernel/software/utils/${PN}/${P}.tar.xz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+fi
+
+DESCRIPTION="Open Firmware device tree compiler"
+HOMEPAGE="https://devicetree.org/ https://git.kernel.org/cgit/utils/dtc/dtc.git/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="static-libs"
+
+DEPEND="
+	sys-devel/bison
+	sys-devel/flex
+"
+DOCS="
+	Documentation/dt-object-internal.txt
+	Documentation/dts-format.txt
+	Documentation/manual.txt
+"
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e '/^CFLAGS =/s:=:+=:' \
+		-e '/^CPPFLAGS =/s:=:+=:' \
+		-e 's:-Werror::' \
+		-e 's:-g -Os::' \
+		-e "/^PREFIX =/s:=.*:= ${EPREFIX}/usr:" \
+		-e "/^LIBDIR =/s:=.*:= \$(PREFIX)/$(get_libdir):" \
+		Makefile || die
+
+	tc-export AR CC
+	export V=1
+}
+
+src_install() {
+	default
+
+	use static-libs || find "${ED}" -name '*.a' -delete
+}


             reply	other threads:[~2017-03-08  5:01 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-08  5:01 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-09  6:59 [gentoo-commits] repo/gentoo:master commit in: sys-apps/dtc/ Arthur Zamarin
2024-10-04  9:55 Sam James
2024-10-03 16:11 Arthur Zamarin
2024-10-02 22:53 Sam James
2024-10-02 22:53 Sam James
2024-10-02 22:53 Sam James
2024-10-02 22:53 Sam James
2024-09-22 10:10 Sam James
2024-01-08 12:28 Sam James
2023-09-25  2:21 Sam James
2023-06-07  1:51 Sam James
2023-06-06  8:48 Sam James
2023-06-06  4:02 Sam James
2023-06-06  4:02 Sam James
2023-06-06  4:02 Sam James
2022-08-31  7:06 Andreas Sturmlechner
2022-05-19 12:19 WANG Xuerui
2020-10-13 10:01 Agostino Sarubbo
2020-10-13  9:26 Agostino Sarubbo
2020-10-11  9:00 Sergei Trofimovich
2020-10-11  8:57 Sergei Trofimovich
2020-10-10 17:13 Sam James
2020-10-10 17:13 Sam James
2020-08-19 22:40 Sam James
2020-07-07  7:19 Sergei Trofimovich
2020-07-07  7:19 Sergei Trofimovich
2020-07-07  6:55 Sergei Trofimovich
2020-07-07  6:48 Sergei Trofimovich
2020-07-06 22:40 Sergei Trofimovich
2020-07-06 18:51 Sergei Trofimovich
2020-07-06 18:44 Sergei Trofimovich
2020-05-02 17:51 Sergei Trofimovich
2020-04-03 13:11 Agostino Sarubbo
2020-04-03 12:12 Agostino Sarubbo
2020-04-03 12:06 Agostino Sarubbo
2020-03-07  9:39 Sergei Trofimovich
2019-10-05 23:36 Göktürk Yüksek
2019-05-26 22:27 Thomas Deutschmann
2019-05-20 11:07 Mikle Kolyada
2018-12-11 14:20 Michał Górny
2018-12-01 13:27 Jeroen Roovers
2018-06-26  3:23 Jason Donenfeld
2017-11-13 15:41 Manuel Rüger
2017-03-17  8:11 Jeroen Roovers
2016-12-07 21:22 Mike Frysinger
2016-09-11  6:54 Jeroen Roovers
2016-01-04 22:26 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1488949304.4acb9fecf06b730688c9968f80aaeaed3064205d.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox